//*****************************************
// 	kdc_ Program ATMega32U4
//   CPU Clock:1MHz (internal OSC. 8MHz 1/8)
//
//@LED:PC7  1=Light ON, 0=Light OFF
//
//
//  2022/05/25 New(TAB4)  Taishi
//*****************************************

#include	<avr/io.h>


// **********************************************************
// ********************** Soft Timer ************************
// **********************************************************

volatile unsigned int	wait_i;
volatile unsigned char	wait_us;

// ************************************
// Delay 5uS
// t: 5uSxt (max 255)
// ************************************
void delay_10us(unsigned char t)
{
	while(t-- != 0){
		wait_us++;				// 1uS Delay??
		wait_us++;				// 1uS Delay??
		wait_us++;				// 1uS Delay??
	}
}
//***************************
// Wait
//  tm : Wait Time(ms) max. 8000
// CPU Clock:1MHz
//***************************
void	delay_ms(int tm)
{

	for(wait_i = 0; wait_i < tm; wait_i++){
		delay_10us(100);
	}
}


// **********************************************************
// ********************** LED ON or OFF *********************
// **********************************************************

//******************************
// LED Initial
// *****************************
void	led_init(void)
{
	DDRC = (1 << DDC7);			// PC7:Output
}

//******************************
// LED ON/OFF
//  on_off : 1=ON, 0=OFF
// *****************************
void	led_on_off(unsigned char on_off)
{
	if(on_off == 0){
		PORTC &= ~(1 << PC7);		// LED OFF
	}else{
		PORTC |=  (1 << PC7);		// LED ON
	}
}


// **********************************************************
// ********************** Main ******************************
// **********************************************************

//***************************
//  Main
//***************************
int main(void)
{

	led_init();					// LED Initial

	for(;;){
		led_on_off(1);			// LED ON
		delay_ms(500);
		led_on_off(0);			// LED OFF
		delay_ms(500);
	}

	return(1);
}

